function psi_conj = dual_wavelets(psi)

  % compute the dual of a wavelet family
	 
  % Input:
  % psi : wavelets

  % Output:
  % psi_conj : dual wavelets

  [nbf,N] = size(psi) ; % number of wavelets and size of the signals

  sum_squares = sum(abs(psi).^2,1) ;
  sum_squares(1) = 1 ; % to avoid problems when dividing by sum_squares

  psi_conj = conj(psi)./repmat(sum_squares,[nbf,1]) ;
