function image_angle(f1,f2,tol)
  % plot the difference of phase between the images f1 and f2
  % display in black the points where the absolute value of f1 or f2
  % is smaller than tol multiplied by its maximal value

  n = 200 ; % number of colors

  angle_to_plot = angle(f1./f2) ; % angle
  colormap([hsv(n);0,0,0]) ; % circular colormap
                             % add the color black

  % find the points where the phase is not significant; set their
  % value to the value which will be rendered by the black color
  angle_to_plot(abs(f1)<tol*max(abs(f1(:)))) = pi+2*pi/n ;
  angle_to_plot(abs(f2)<tol*max(abs(f2(:)))) = pi+2*pi/n ;
  
  % plot
  imagesc(angle_to_plot,[-pi,pi+2*pi/n]) ;
  colorbar ;
